# Retrieve model - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-llm-retrieve-model

# Retrieve model

GET

/

openai

/

v1

/

models

/

{model}

Try it

Retrieve model

cURL

```
curl --request GET \
--url https://api.novita.ai/openai/v1/models/{model} \
--header 'Authorization: ' \
--header 'Content-Type: '
```

```
import requests

url = "https://api.novita.ai/openai/v1/models/{model}"

headers = {
"Content-Type": "",
"Authorization": ""
}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {
method: 'GET',
headers: {'Content-Type': '', Authorization: ''}
};

fetch('https://api.novita.ai/openai/v1/models/{model}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/openai/v1/models/{model}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: ",
"Content-Type: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/openai/v1/models/{model}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Content-Type", "")
req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.novita.ai/openai/v1/models/{model}")
.header("Content-Type", "")
.header("Authorization", "")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/openai/v1/models/{model}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = ''
request["Authorization"] = ''

response = http.request(request)
puts response.read_body
```

```
{
"created": 1733560109,
"id": "meta-llama/llama-3.3-70b-instruct",
"object": "model",
"input_token_price_per_m": 3900,
"output_token_price_per_m": 3900,
"title": "meta-llama/llama-3.3-70b-instruct",
"description": "The Meta Llama 3.3 multilingual large language model (LLM) is a pretrained and instruction tuned generative model in 70B (text in/text out). The Llama 3.3 instruction tuned text only model is optimized for multilingual dialogue use cases and outperforms many of the available open source and closed chat models on common industry benchmarks.\n\nSupported languages: English, German, French, Italian, Portuguese, Hindi, Spanish, and Thai.",
"context_size": 131072,
}
```

Retrieves a model instance, providing basic information about the model. This endpoint is compatible with OpenAI API.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#path-parameters)

Path Parameters

[​](#param-model)

model

string

required

The ID of the model to use for this request.

##

[​](#response)

Response

```
{
"created": 1733560109,
"id": "meta-llama/llama-3.3-70b-instruct",
"object": "model",
"input_token_price_per_m": 3900,
"output_token_price_per_m": 3900,
"title": "meta-llama/llama-3.3-70b-instruct",
"description": "The Meta Llama 3.3 multilingual large language model (LLM) is a pretrained and instruction tuned generative model in 70B (text in/text out). The Llama 3.3 instruction tuned text only model is optimized for multilingual dialogue use cases and outperforms many of the available open source and closed chat models on common industry benchmarks.\n\nSupported languages: English, German, French, Italian, Portuguese, Hindi, Spanish, and Thai.",
"context_size": 131072,
}
```

[​](#param-id)

id

string

required

The model identifier, which can be referenced in the API endpoints.

[​](#param-created)

created

integer

required

The Unix timestamp (in seconds) when the model was created.

[​](#param-object)

object

string

required

The object type, which is always “model”.

[​](#param-input-token-price-per-m)

input_token_price_per_m

integer

required

The price per million input tokens.

[​](#param-output-token-price-per-m)

output_token_price_per_m

integer

required

The price per million output tokens.

[​](#param-title)

title

string

required

The title of the model.

[​](#param-description)

description

string

required

The description of the model.

[​](#param-context-size)

context_size

integer

required

The maximum context size of the model.

Last modified on August 12, 2025
